Jump to content


Pike_Bishop

Member Since 21 Aug 2011
Offline Last Active Yesterday, 22:43
*****

Posts I've Made

In Topic: OpenSSL als IPK nachinstallieren

17 January 2022 - 23:57

Hi,

 

Und hier noch was für Euch hier, hab im OpenATV ein Script geschrieben das den E2iPlayer immer am aktuellen Stand hält, das funktioniert hier in nem PLI-8.0

ebenfalls seit schon nun über nen Monat.

Das häng ich hier nun unten zum Downloaden an, das Script macht nix anderes als den E2iPlayer aus dem Git zu installieren (geht auch für python 3 also für Oatv-7.x, is hier aber nicht relevant).

 

Konfiguration des Scripts damit alles wie gewünscht läuft;

1.) Script entpacken und an der Box nach /usr script kopieren (wenns das Verzeichnis /usr script noch nicht gibt dann eben selber zuvor anlegen).

2.) Script ausführbar machen mit telnet/ssh Befehl wie folgt;

chmod 755 /usr/script/e2iplayer_install_update.hidden.sh

3.) Script mittels Hotkey auf ne Taste legen -> fertig.

 

Vorraussetzungen das der E2iPlayer im PLI läuft sind weiters die e2iplayer-deps, und auch das Plugin ppanel damit mein Script angewendet werden kann.

Die e2iplayer-deps kann man über den Feed (genauso wie auch das Plugin ppanel) installieren oder beides so wie folgt in telnet/ssh;

opkg update
opkg install enigma2-plugin-extensions-e2iplayer-deps
opkg install enigma2-plugin-extensions-ppanel

Das Script ist so wie es ist für die E2iPlayer Version von @zadmario eingestellt (aktualisiert so also auf die @zadmario Version).

 

Wer da stattdessen auf die Version von @maxbambi gehen wollen würde muss nur vor Zeile 13 die Raute wegnehmen und vor Zeile 15 ne Raute setzen, so damit das dann so aussieht;

# maxbambi
FILE_ADRESS=https://gitlab.com/maxbambi/e2iplayer/-/archive/master/e2iplayer-master.zip
# zadmario
#FILE_ADRESS=https://gitlab.com/zadmario/e2iplayer/-/archive/master/e2iplayer-master.zip

Das aber nur mit nem Linuxtauglichen Editor wie z.b: mit Notepad++ tun, es geht aber auch an der Box direkt mit dem FileCommander Plugin.

 

Das wärs schon, noch was abschliessend dazu, man muss das nicht verwenden denn das Plugin selbst (der E2iPlayer) sollte ja eh eine eigene UpdateRoutine haben

, doch ich habe das Script geschrieben da diese UpdateRoutine und auch die Update Möglichkeit übern Oatv Feed selbst damals ne Weile einfach nicht funktionieren wollte.

Seit dem aber verwende ich es selber öfters um bequem mal zwischen @zadmario und @maxbambi hin und her zu switchen

(wobei das aber eh grade keinen Sinn mehr macht, da bei der @maxbambi Version kaum noch was geht).

 

Na egal, wer will kanns verwenden, wer nicht der eben nicht, doch wenns jemand verwendet, das Script nicht umbenennen, und auch nur mit Hotkey verwenden, und

auch klar ist -> nach der Anwendung vom Script immer nen Enigma2-GUI Neustart machen.

 

Das Script kann sowohl zum Updaten der Version, als auch für ne Neuinstallation verwendet werden (wenn also noch gar kein E2iPlayer installiert ist).

Bei ner Neuinstallation aber ist darauf zu achten das zuvor zumindest die e2iplayer-deps, besser auch noch das Plugin ppanel (siehe oben) installiert wurden.

 

 

Grüsse

Pike


In Topic: OpenSSL als IPK nachinstallieren

17 January 2022 - 23:09

Hi,

 

sorry Jungs hab mich hier geirrt;

https://forums.openp...dpost&p=1420894

hab doch auch das Problem mit Openssl und nicht mit der libssl, hier ein Picture dazu;

 

Attached File  screenshot_2022-01-17_04-13-42.jpg   59.08KB   0 downloads

 

Hab dann in der Paketverwaltung mal Openssl gesucht und auch gefunden -> sieht so aus;

 

Attached File  screenshot_2022-01-17_03-19-58.jpg   139.84KB   0 downloads

 

Diese habe ich upgedated doch der Fehler bleibt, aber wie @flattervogel eh bemerkt hat es klappt dennoch alles soweit problemlos

(dürfte also nur ein kosmetisches Problem sein).

 

Ach so ja, falls es wen interessiert der Fehler kommt bei der @zadmario Version nicht bei @maxbambi

(doch von @maxbambi gabs schon lange keine Updates mehr)

 

 

Grüsse

Pike


In Topic: OpenSSL als IPK nachinstallieren

17 January 2022 - 02:01

Hi,

 

Also hier in nem PLI-8.0 läuft der E2iPlayer eigentlich soweit perfekt, man benötigt nur auch das Plugin e2iplayer-deps

es gibt hier auch nen ssl Fehler beim Start doch nix mit OpenSSL sondern mit der libssl ich hoffe ihr verwechselt das nicht).

Da kommt sogar ne Message ala Schwerer Fehler doch selbst mit dieser Meldung läuft der E2iPlayer trotzdem.

 

Also wenns die libssl betrifft dann mal da gucken (da gibts ein paar Lösungen dazu);

https://forums.openp...sl#entry1329359

 

wenns doch aber um OpenSSL geht dann hab ich keinen Tipp.

 

 

Grüsse

Pike


In Topic: Openpli 8 openssl not found ....

9 November 2021 - 19:44

Yes -> good to know, it contains;

libcrypto.so.0.9.7

libcrypto.so.0.9.8

libcrypto.so.1.0.0

libcrypto.so.1.0.2

libssl.so.0.9.7

libssl.so.0.9.8

libssl.so.1.0.0

libssl.so.1.0.2

 

 

regards

Pike


In Topic: Openpli 8 openssl not found ....

8 November 2021 - 21:53

Hi,

 

i didn't test it, but i think to create the following two links in telnet or ssh is also a solution for that small problem, instead to edit the iptvsetupimpl.py;

ln -s /usr/lib/libssl.so.1.1 /usr/lib/libssl.so.1.0.0
ln -s /usr/lib/libcrypto.so.1.1 /usr/lib/libcrypto.so.1.0.0

regards

Pike